Jwoolington
Posts: 14
Joined: Tue Mar 31, 2015 7:29 pm

get-apt upgrade failing. Can't install any packages

Tue Mar 31, 2015 7:32 pm

Tried running the following:

get-apt update
get-apt upgrade -y

Upgrade fails with "size mismatch" errors.

Can't install any packages, that also fails.

Any suggestions?

User avatar
CaptSunset
Posts: 140
Joined: Fri Mar 20, 2015 2:55 pm

Re: get-apt upgrade failing. Can't install any packages

Wed Apr 01, 2015 1:45 am

Hi J-

Try apt-get , it should work much better than get-apt

No worries!

ddevejian
Posts: 14
Joined: Tue Mar 31, 2015 11:18 pm

Re: get-apt upgrade failing. Can't install any packages

Wed Apr 01, 2015 1:51 am

Upgrade fails with "size mismatch" errors.
Possibly a proxy issue. Are you running this in a corporate environment with some sort of web filtering?

I was having a similar issue at my office, turned out the file gets were being blocked by Websense. Interestingly, the regular debian distribution sites are permitted.

Jwoolington
Posts: 14
Joined: Tue Mar 31, 2015 7:29 pm

Re: get-apt upgrade failing. Can't install any packages

Wed Apr 01, 2015 12:09 pm

I miss-typed. I am using apt-get. Lol!

But yes, it is in a corporate environment and there is websense being used. Any way around this? Should I allow the source list address through websense?

Thanks

User avatar
DougieLawson
Posts: 36578
Joined: Sun Jun 16, 2013 11:19 pm
Location: Basingstoke, UK
Contact: Website Twitter

Re: get-apt upgrade failing. Can't install any packages

Wed Apr 01, 2015 12:21 pm

Have you configured the system wide or apt-get proxy settings?
Note: Having anything humorous in your signature is completely banned on this forum. Wear a tin-foil hat and you'll get a ban.

Any DMs sent on Twitter will be answered next month.

This is a doctor free zone.

ddevejian
Posts: 14
Joined: Tue Mar 31, 2015 11:18 pm

Re: get-apt upgrade failing. Can't install any packages

Wed Apr 01, 2015 12:43 pm

Yeah, if it doesnt require forms in triplicate and sign-off by executive management, whitelisting your source address is probably easiest. That or making an exception for the raspberry pi distribution archives.

If its websense, I dont think changing the proxy configuration on the pi will help, websense usually doesnt rely on a proxy but monitors network connectivity directly, either through a firewall or a monitor port.

Jwoolington
Posts: 14
Joined: Tue Mar 31, 2015 7:29 pm

Re: get-apt upgrade failing. Can't install any packages

Wed Apr 01, 2015 12:58 pm

Thanks. I'll try that. I have access to all that. This is my first time using the pi so I was really unsure what was causing the problem. I thought maybe a corrupt SD card.

Jwoolington
Posts: 14
Joined: Tue Mar 31, 2015 7:29 pm

Re: get-apt upgrade failing. Can't install any packages

Wed Apr 01, 2015 1:08 pm

I am now running into a new error message that I have researched and tried multiple fixes, but can't seem to solve the problem.


W: GPG error: http://ftp.us.debian.org wheezy Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 6FB2A1C265FFB764

DirkS
Posts: 10018
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: get-apt upgrade failing. Can't install any packages

Wed Apr 01, 2015 1:10 pm

Which distro do you use? Raspbian, Debian or any other?
If it's Raspbian did you make any changes to /etc/apt/sources.list?

Jwoolington
Posts: 14
Joined: Tue Mar 31, 2015 7:29 pm

Re: get-apt upgrade failing. Can't install any packages

Wed Apr 01, 2015 1:22 pm

I made a change to the source list to try and solve the problem. It now reads: deb http://ftp.us.debian.org/debian/ wheezy main contrib non-free
~

Jwoolington
Posts: 14
Joined: Tue Mar 31, 2015 7:29 pm

Re: get-apt upgrade failing. Can't install any packages

Wed Apr 01, 2015 1:27 pm

Found the problem.

apt-get install debian-archive-keyring

Return to “Troubleshooting”